%define name	aptitude
%define release	%mkrel 3
%define version	0.4.4

Summary:	Curses-based apt frontend
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://packages.qa.debian.org/a/aptitude.html
Group:		System/Configuration/Packaging

Source0: http://http.us.debian.org/debian/pool/main/a/%{name}/%{name}-%{version}.tar.bz2
# apt-rpm patch from ALT linux source rpm
# removal of generated files and a change not needed for mandriva linux were taken out
Source1: aptitude-addon-0.1.tar.bz2
Patch0: aptitude-0.4.4-alt1.patch
Patch1: aptitude-0.4.4-xsl-stylesheets.patch

BuildRequires:	libncursesw-devel libapt-pkg-devel libsigc++2.0-devel gettext-devel
BuildRequires:	docbook-dtd42-xml docbook-style-xsl html2text
BuildRequires:  libxslt-proc libcppunit-devel po4a
Buildroot:	%{_tmppath}/%{name}-root

%description
Aptitude is a curses-based apt frontend with a number of useful extended 
features, including: a mutt-like syntax for matching packages in a flexible 
manner, persistence of user actions, and extreme flexibility and customization. 

%package i10n
Summary:    	Internationalisation files for %{name}
Group:      	Applications/System
Requires:   	%{name}

%description i10n
Internationalisation files for %{name}

%package man
Summary:    	man pages for lxpanel
Group:      	Applications/System
Requires:   	%{name}

%description man
man pages for %{name}

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .apt-rpm-altlinux
%patch1 -p1 -b .sgml
%build
# remove some generated files as in original altlinux patch but keep mkinstalldirs
rm -f INSTALL Makefile.in aclocal.m4 config.guess config.h.in config.sub \
  configure depcomp install-sh missing po/stamp-po \
  src/Makefile.in src/cmdline/Makefile.in src/generic/Makefile.in \
  src/generic/apt/Makefile.in src/generic/problemresolver/Makefile.in \
  src/generic/util/Makefile.in src/mine/Makefile.in src/vscreen/Makefile.in \
  src/vscreen/config/Makefile.in tests/Makefile.in
libtoolize --copy --force
aclocal -I m4
autoheader
automake -a -c
autoconf
CPPFLAGS=-DRPM_VERSION=0x040406
export CPPFLAGS
%configure2_5x --disable-werror
%make

make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall STATEDIR=$RPM_BUILD_ROOT%{_localstatedir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons
tar -jxf %{SOURCE1} -C $RPM_BUILD_ROOT
%__cp -a $RPM_BUILD_ROOT/aptitude-addon-0.1/icons/[a-z]* $RPM_BUILD_ROOT/%{_datadir}/icons
rm -rf $RPM_BUILD_ROOT/aptitude-addon-0.1

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities
cat >    $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
GenericName=Aptitude rpm tool
Name=Aptitude
MimeType=
DocPath=
Exec=aptitude
Icon=aptitude
Path=
Type=Application
Terminal=true
StartupNotify=true
Categories=Packaging
EOF

mkdir -p $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} System/Configuration/Packaging %{buildroot}/%{_datadir}/applnk/Utilities/%{name}.desktop %{buildroot}/%{_menudir}/%{name}

chrpath -d %{buildroot}%{_bindir}/%{name}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%dir %{_datadir}/aptitude
%{_datadir}/aptitude/*
%{_bindir}/aptitude
%{_docdir}/aptitude
%{_datadir}/icons/aptitude.png
%{_datadir}/applnk/Utilities/aptitude.desktop
%{_libdir}/menu/aptitude
%dir %{_localstatedir}/aptitude

%files i10n -f %{name}.lang
%defattr(-,root,root)

%files man
%defattr(-, root, root)
%{_mandir}/man8/aptitude.8.*
%{_mandir}/*/man8/aptitude.8.*

%changelog
* Tue Jun 19 2007 Gettinther <gettinther@gmail.com>
- Split man and po files

* Thu May 24 2007 Gettinther <gettinther@gmail.com>
- Added menu entry and icon

* Tue May 22 2007 Gettinther <gettinther@gmail.com>
- Rebuilt for pclos2007